System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object

The class provides a programmatic representation of an XML Schema Definition language (XSD) document. Instead of using directly, use the class or the XML Schema Definition Tool (Xsd.exe).

The class creates objects from classes that are identified as Web services. It uses the class when a Web service class specifies:

Literal use, indicating that the contents of SOAP message parameters and return values (or request and response documents) are literally specified with XML schema definitions.

Non-SOAP implementations of Web services using the HTTP-GET and HTTP-POST operations.

Xsd.exe generates XML schema documents from one or more types in a run-time assembly file using the class and reflection.

Populates objects with XML schema element declarations that are found in type mapping objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class supplies the collection of objects to which XML schema element declarations are to be added. You do not need to create an instance of the class directly.

  Initializes a new instance of the class.

  A collection of objects to which element declarations obtained from type mappings are added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  You do not need to call the method directly.

  The creates objects from classes that are identified as Web services.

  A field or property of type , with an attribute , is translated into an <any> element.

  Exports an <any> element to the object that is identified by the specified namespace.

  An arbitrary name assigned to the <any> element declaration.

  The namespace of the XML schema document to which to add an <any> element.
- Method
  2.0.0.0
  4.0.0.0
  System.String `` To be added.

  Adds an element declaration for an object or type to a SOAP message or to an object.

  The string "any" with an appended integer.

  An that contains mappings to export.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  For each SOAP message part, the method adds an XML schema element declaration to the that uses the same namespace as the part. A literal message definition normally contains a single part.

  Use the class instead.

  Adds an element declaration to the applicable for each of the element parts of a literal SOAP message definition.

  The internal .NET Framework type mappings for the element parts of a Web Services Description Language (WSDL) message definition.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Adds an element declaration to the applicable for each of the element parts of a literal SOAP message definition, and specifies whether enclosing elements are included.

  The internal mapping between a .NET Framework type and an XML schema element. true if the schema elements that enclose the schema are to be included; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlQualifiedName ``

  This overload adds an XML schema element declaration to the that uses the same namespace as the SOAP message part. The literal message definition must contain a single part.

  Use the class instead.

  Adds an element declaration to the applicable object for a single element part of a literal SOAP message definition.

  An that represents the qualified XML name of the exported element declaration.

  Internal .NET Framework type mappings for the element parts of a Web Services Description Language (WSDL) message definition.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds an element declaration for a .NET Framework type to the applicable object.

  The internal mapping between a .NET Framework type and an XML schema element.